from django.urls import path
from django.contrib.auth.decorators import login_required
from . import views

app_name = 'core'

urlpatterns = [
    path('', login_required(views.DashboardView.as_view()), name='dashboard'),
    path('dashboard/', login_required(views.DashboardView.as_view()), name='dashboard'),
    path('database/', login_required(views.DatabaseManagementView.as_view()), name='database_management'),
    path('database/backup/', login_required(views.backup_database), name='backup_database'),
    path('database/restore/', login_required(views.restore_database), name='restore_database'),
    path('database/duplicate/', login_required(views.duplicate_database), name='duplicate_database'),
]
